.. highlight:: rst

.. _scesv:

#####
scesv
#####

**Event summary view.**


Description
===========

scesv is the summary display of the event parameters. It shows the primary information
about the current event including location, time, strength, type and processing status.
Additional to the current event older events can also be chosen from the eventlist in the
events tab.

The two tabs of scesv are

* Events tab showing the list of loaded events, compare Fig. :ref:`fig-events`
* Summary tab with the details of the selected event, see Fig. :ref:`fig-summary`.


.. _scesv-events-tab:

Events Tab
==========

The Events tab shows the eventlist of the time span defined on the bottom side of
the window. A the Events tab is also available for other GUIs, such as :ref:`scolv`
it can be configured in the global module configuration.
The :ref:`description of the Events tab in scolv <scolv-events-tab>` provides more
details.

.. _fig-events:

.. figure:: media/scesv/scesv-events.png
   :width: 16cm
   :align: center

   Eventlist tab

   Tab1-2: Summary/Events tab, EventList: list of the last events with summarized information,
   List options: Show fake events, Reading 1: spinbox to limit timespan of displayed events (in days),
   Reading 2: spinboxes to limit timespan of displayed events (specified dates), Status: connection status

.. note::

   As for :ref:`scolv` filtering of the event list and custom information can be
   added to the event list by configuration. Read the scolv documentation on
   :ref:`event filtering <scolv-events-filtering>` and :ref:`custom action <scolv-custom-actions>`
   for the details.


.. _scesv-summary-tab:

Summary Tab
===========

The most recent (default) or the event selected from the event list is shown in
the Summary tab, see Fig. :ref:`fig-summary`.
Here the information are highlighted in four sections:

====================  =====================================================
section               description
====================  =====================================================
Time                  Orign time in UTC and relative to now
Region                A map of the region and location with the event and stations
Magnitude             Different magnitude types, the values and counts
Hypocenter            Origin information with location, depth, azimuthal gap etc.
====================  =====================================================

.. _fig-summary:

.. figure:: media/scesv/scesv-summary.png
   :width: 16cm
   :align: center

   Summary tab

   Tab1-2: Summary/Events tab, Origin Time: origin time in UTC and relative to now, Map: map with region
   and location and stations, Magnitude: different magnitude types with values and counts,
   Origin Info: hypocenter information with position, phase count and azimuthal gap,
   Event: earthquake location, Station: station with ray-path, Details: "Show Details" button to open
   detailed information in :ref:`scolv`, Event Type: event type combo box to set event type, Status: connection status


Hotkeys
=======

=================  =======================================
Hotkey             Description
=================  =======================================
:kbd:`F1`          Open |scname| documentation
Shift + :kbd:`F1`  Open scesv documentation
:kbd:`F2`          Setup connection dialog
:kbd:`F6`          Show propagation of P and S wave
:kbd:`F7`          Show focal mechanism by beach ball
Shift + :kbd:`F7`  Show focal mechanism by beach ball
:kbd:`F8`          Toggle auto update
:kbd:`F9`          Show raypaths and associated stations
:kbd:`F10`         Toggle tabs
:kbd:`F11`         Toggle fullscreen
Mouse wheel        Zoom map in/out
Double click       Center map
=================  =======================================


.. _scesv_configuration:

Module Configuration
====================

| :file:`etc/defaults/global.cfg`
| :file:`etc/defaults/scesv.cfg`
| :file:`etc/global.cfg`
| :file:`etc/scesv.cfg`
| :file:`~/.seiscomp/global.cfg`
| :file:`~/.seiscomp/scesv.cfg`

scesv inherits :ref:`global options<global-configuration>`.



.. confval:: loadEventDB

   Default: ``1``

   Type: *double*

   Unit: *days*

   Number of days to preload if scesv is started.


.. confval:: showLastAutomaticSolution

   Default: ``false``

   Type: *boolean*

   If enabled, the last automatic solution is displayed next to the
   current solution in the summary panel. If the last automatic
   solution differs from the current solution it is displayed
   in red. If both solutions match it is displayed in gray.


.. confval:: showOnlyMostRecentEvent

   Default: ``true``

   Type: *boolean*

   If enabled, only the most recent event is shown even if an update of
   an older event is being received.


.. confval:: recenterMap

   Default: ``true``

   Type: *boolean*

   If enabled, the map is centered around the most recent event event.


.. confval:: enableFixAutomaticSolutions

   Default: ``false``

   Type: *boolean*

   If enabled, an additional button is displayed which allows to
   switch back the latest automatic solution. This button triggers
   an command for scevent to prioritize automatic solutions until
   the next manual solution is available.


.. confval:: visibleMagnitudes

   Default: ``M,MLv,mb,mB,Mw(mB)``

   Type: *list:string*

   A list of magnitude types to be displayed.


.. confval:: button0

   Type: *string*

   Label of button0 which triggers script0.


.. confval:: button1

   Type: *string*

   Label of button1 which triggers script1.


.. confval:: ignoreOtherEvents

   Default: ``true``

   Type: *boolean*

   If the event type is either \"other\" or
   \"not existing\" and this flag is true then the
   event will not be shown.


.. confval:: scripts.script0

   Type: *string*

   Path to a script if button0 is clicked.


.. confval:: scripts.script1

   Type: *string*

   Path to a script if button1 is clicked.


.. confval:: scripts.script0.exportMap

   Default: ``false``

   Type: *boolean*

   If enabled, the current map is exported to file.
   The filename is appened to the parameter list of script0.
   The script has to take ownership of the file.


.. confval:: scripts.script0.oldStyle

   Default: ``true``

   Type: *boolean*

   If enabled, the parameter list of script0 is event ID,
   arrival count, magnitude, description.
   
   If disabled, the parameter list of script0 is event ID,
   preferredOriginID, preferredMagnitudeID,
   preferredFocalMechanismID.


.. confval:: scripts.script1.exportMap

   Default: ``false``

   Type: *boolean*

   If enabled, the current map is exported to file.
   The filename is appened to the parameter list of script1.
   The script has to take ownership of the file.


.. confval:: scripts.script1.oldStyle

   Default: ``true``

   Type: *boolean*

   If enabled, the parameter list of script1 is event ID,
   arrivalCount, magnitude, description.
   
   If disabled, the parameter list of script1 is event ID,
   preferredOriginID, preferredMagnitudeID,
   preferredFocalMechanismID.


.. confval:: summary.borders

   Default: ``false``

   Type: *boolean*

   Draw borders in the summary panel.


.. note::
   **display.\***
   *Adjust content or display custom information in the Summary tab.*



.. confval:: display.lonmin

   Default: ``-180``

   Type: *double*

   Unit: *deg*

   Minimum longitude of initially displayed map region.


.. confval:: display.lonmax

   Default: ``180``

   Type: *double*

   Unit: *deg*

   Maximum longitude of initially displayed map region.


.. confval:: display.latmin

   Default: ``-90``

   Type: *double*

   Unit: *deg*

   Minimum latitude of initially displayed map region.


.. confval:: display.latmax

   Default: ``90``

   Type: *double*

   Unit: *deg*

   Maximum latitude of initially displayed map region.


.. note::
   **display.event.\***
   *Event information*



.. confval:: display.event.comment.id

   Type: *string*

   ID of the event comment to be considered.


.. confval:: display.event.comment.default

   Type: *string*

   Value to be shown in case no valid event comment is
   found.


.. confval:: display.event.comment.label

   Type: *string*

   Label of the value to be shown.


.. note::
   **display.origin.\***
   *Origin information*



.. note::
   **display.origin.comment.\***
   *Display origin comments.*



.. confval:: display.origin.comment.id

   Type: *string*

   ID of the origin comment to be considered.


.. confval:: display.origin.comment.default

   Type: *string*

   Value to be shown in case no valid origin comment is
   found.


.. confval:: display.origin.comment.label

   Type: *string*

   Label of the value to be shown.


.. note::
   **poi.\***
   *Display information related to a point of interest (POI)*
   *read from the cities XML file.*



.. confval:: poi.maxDist

   Default: ``20``

   Type: *double*

   Unit: *deg*

   Maximum distance in degrees of a POI to be taken into account.


.. confval:: poi.minPopulation

   Type: *double*

   The minimum population of a POI to be taken into account.


.. confval:: poi.message

   Type: *string*

   Message conversion string that converts a POI into the text
   displayed under the region label. There are different
   placeholders that can be used: \@dist\@, \@dir\@, \@poi\@ and \@region\@.



Command-Line Options
====================

.. program:: scesv

:program:`scesv [options]`


Generic
-------

.. option:: -h, --help

   Show help message.

.. option:: -V, --version

   Show version information.

.. option:: --config-file arg

   Use alternative configuration file. When this option is
   used the loading of all stages is disabled. Only the
   given configuration file is parsed and used. To use
   another name for the configuration create a symbolic
   link of the application or copy it. Example:
   scautopick \-> scautopick2.

.. option:: --plugins arg

   Load given plugins.

.. option:: --auto-shutdown arg

   Enable\/disable self\-shutdown because a master module shutdown.
   This only works when messaging is enabled and the master
   module sends a shutdown message \(enabled with \-\-start\-stop\-msg
   for the master module\).

.. option:: --shutdown-master-module arg

   Set the name of the master\-module used for auto\-shutdown.
   This is the application name of the module actually
   started. If symlinks are used, then it is the name of
   the symlinked application.

.. option:: --shutdown-master-username arg

   Set the name of the master\-username of the messaging
   used for auto\-shutdown. If \"shutdown\-master\-module\" is
   given as well, this parameter is ignored.


Verbosity
---------

.. option:: --verbosity arg

   Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info,
   4:debug.

.. option:: -v, --v

   Increase verbosity level \(may be repeated, eg. \-vv\).

.. option:: -q, --quiet

   Quiet mode: no logging output.

.. option:: --component arg

   Limit the logging to a certain component. This option can
   be given more than once.

.. option:: -s, --syslog

   Use syslog logging backend. The output usually goes to
   \/var\/lib\/messages.

.. option:: -l, --lockfile arg

   Path to lock file.

.. option:: --console arg

   Send log output to stdout.

.. option:: --debug

   Execute in debug mode.
   Equivalent to \-\-verbosity\=4 \-\-console\=1 .

.. option:: --log-file arg

   Use alternative log file.

.. option:: --print-component arg

   For each log entry print the component right after the
   log level. By default the component output is enabled
   for file output but disabled for console output.

.. option:: --trace

   Execute in trace mode.
   Equivalent to \-\-verbosity\=4 \-\-console\=1 \-\-print\-component\=1
   \-\-print\-context\=1 .


Messaging
---------

.. option:: -u, --user arg

   Overrides configuration parameter :confval:`connection.username`.

.. option:: -H, --host arg

   Overrides configuration parameter :confval:`connection.server`.

.. option:: -t, --timeout arg

   Overrides configuration parameter :confval:`connection.timeout`.

.. option:: -g, --primary-group arg

   Overrides configuration parameter :confval:`connection.primaryGroup`.

.. option:: -S, --subscribe-group arg

   A group to subscribe to.
   This option can be given more than once.

.. option:: --content-type arg

   Overrides configuration parameter :confval:`connection.contentType`.

.. option:: --start-stop-msg arg

   Set sending of a start and a stop message.


Database
--------

.. option:: --db-driver-list

   List all supported database drivers.

.. option:: -d, --database arg

   The database connection string, format:
   service:\/\/user:pwd\@host\/database.
   \"service\" is the name of the database driver which
   can be queried with \"\-\-db\-driver\-list\".

.. option:: --config-module arg

   The config module to use.

.. option:: --inventory-db arg

   Load the inventory from the given database or file, format:
   [service:\/\/]location .

.. option:: --db-disable

   Do not use the database at all


Records
-------

.. option:: --record-driver-list

   List all supported record stream drivers.

.. option:: -I, --record-url arg

   The recordstream source URL, format:
   [service:\/\/]location[#type].
   \"service\" is the name of the recordstream driver
   which can be queried with \"\-\-record\-driver\-list\".
   If \"service\" is not given, \"file:\/\/\" is
   used.

.. option:: --record-file arg

   Specify a file as record source.

.. option:: --record-type arg

   Specify a type for the records being read.


Cities
------

.. option:: --city-xml arg

   The path to the cities XML file. This overrides the default
   paths. Compare with the global parameter \"citiesXML\".


User interface
--------------

.. option:: -F, --full-screen

   Start the application filling the entire screen.
   This only works with GUI applications.

.. option:: -N, --non-interactive

   Use non\-interactive presentation mode. This only works with
   GUI applications.


Options
-------

.. option:: --script0 arg

   Path to the script called when configurable
   button0 is pressed; EventID, arrival count, magnitude and
   the additional location information string are passed as
   parameters \$1, \$2, \$3 and \$4, respectively.

.. option:: --script1 arg

   Path to the script called when configurable
   button1 is pressed; EventID, arrival count, magnitude and
   the additional location information string are passed as
   parameters \$1, \$2, \$3 and \$4, respectively.

.. option:: --load-event-db arg

   Number of days to load from database.

